com.informix.jdbc

## Class IfxString

- java.lang.Object
- - com.informix.jdbc.IfxObject
  - - com.informix.jdbc.IfxString

    public class IfxString
    extends IfxObject

Support for Decimal datatypes. This class derived from IfxObject class.

See Also:
  `IfxObject`

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxObject

`conn, encodedLength, extendedID, extendedName, extendedOwner, ifxType, isNull, jdbcType, sourceType, trace, typeMap, used_in_update`

### Method Summary

### Methods inherited from class com.informix.jdbc.IfxObject

`clear, clearWarning, equals, fromAsciiStream, fromAsciiStream, fromBinaryStream, fromBinaryStream, fromBlob, fromBoolean, fromBoolean, fromByte, fromByte, fromBytes, fromCharacterStream, fromCharacterStream, fromClob, fromDate, fromDecimal, fromDecimal, fromDouble, fromDouble, fromFloat, fromFloat, fromIfx, fromIfx, fromIfx, fromIfx, fromIfx, fromIfx, fromInputStream, fromInputStream, fromInt, fromInt, fromIntervalDF, fromIntervalYM, fromLong, fromLong, fromNClob, fromObject, fromObject, fromObject, fromRowId, fromShort, fromShort, fromSQLXML, fromString, fromString, fromTime, fromTimestamp, get_used_in_update, getEncodedLength, getWarning, isNull, nullify, set_used_in_update, setConnection, setExtendedTypeName, setIfxType, setTypeMap, toAsciiStream, toBinaryStream, toBlob, toBoolean, toByte, toBytes, toCharacterStream, toClob, toDate, toDecimal, toDouble, toFloat, toIfx, toIfxBSONObject, toIfxTuple, toInputStream, toInt, toInterval, toIntervalDF, toIntervalYM, toLong, toNClob, toObject, toObject, toRowId, toShort, toSQLXML, toString, toTime, toTimestamp, toUnloadString, unnullify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`